import zipfile

archive = zipfile.ZipFile('../VideoCapture-0.4.zip', 'w', zipfile.ZIP_DEFLATED)

archive.write('../index.html', 'index.html')
archive.write('zip_it.py', 'src/zip_it.py')
archive.write('vidcap.dsp', 'src/vidcap.dsp')
archive.write('vidcap.dsw', 'src/vidcap.dsw')
archive.write('vidcapmodule.cpp', 'src/vidcapmodule.cpp')

archive.write('VideoCapture.py', 'src/VideoCapture.py')
archive.write('helvB08.gif', 'src/helvB08.gif')
archive.write('helvB08.pil', 'src/helvB08.pil')
archive.write('helvetica-10.gif', 'src/helvetica-10.gif')
archive.write('helvetica-10.pil', 'src/helvetica-10.pil')

archive.write('VideoCapture.py', 'Python20/Lib/VideoCapture.py')
archive.write('helvB08.gif', 'Python20/Lib/helvB08.gif')
archive.write('helvB08.pil', 'Python20/Lib/helvB08.pil')
archive.write('helvetica-10.gif', 'Python20/Lib/helvetica-10.gif')
archive.write('helvetica-10.pil', 'Python20/Lib/helvetica-10.pil')

archive.write('VideoCapture.py', 'Python21/Lib/VideoCapture.py')
archive.write('helvB08.gif', 'Python21/Lib/helvB08.gif')
archive.write('helvB08.pil', 'Python21/Lib/helvB08.pil')
archive.write('helvetica-10.gif', 'Python21/Lib/helvetica-10.gif')
archive.write('helvetica-10.pil', 'Python21/Lib/helvetica-10.pil')

archive.write('Python20/vidcap.pyd', 'Python20/DLLs/vidcap.pyd')
archive.write('Python21/vidcap.pyd', 'Python21/DLLs/vidcap.pyd')

archive.write('../Examples/exa1_snapshot.py', 'Examples/exa1_snapshot.py')
archive.write('../Examples/exa2_show-possibilities.py', 'Examples/exa2_show-possibilities.py')
archive.write('../Examples/exa3_continuous.py', 'Examples/exa3_continuous.py')
archive.write('../Examples/test1.jpg', 'Examples/test1.jpg')
archive.write('../Examples/test2.jpg', 'Examples/test2.jpg')
archive.write('../Examples/test3.jpg', 'Examples/test3.jpg')
archive.write('../Examples/test4.jpg', 'Examples/test4.jpg')

archive.write('../Tools/README.txt', 'Tools/README.txt')

archive.write('../Tools/webcam-saver/webcam-saver.py', 'Tools/webcam-saver/webcam-saver.py')
archive.write('../Tools/webcam-saver/webcam-saver.ini', 'Tools/webcam-saver/webcam-saver.ini')

archive.write('../Tools/webcam-uploader/webcam-uploader.py', 'Tools/webcam-uploader/webcam-uploader.py')
archive.write('../Tools/webcam-uploader/webcam-uploader.ini', 'Tools/webcam-uploader/webcam-uploader.ini')
archive.write('../Tools/webcam-uploader/offline.jpg', 'Tools/webcam-uploader/offline.jpg')
archive.write('../Tools/webcam-uploader/offline2.jpg', 'Tools/webcam-uploader/offline2.jpg')

archive.write('../Tools/webcam-watcher/cam_form.ui', 'Tools/webcam-watcher/cam_form.ui')
archive.write('../Tools/webcam-watcher/cam_form.py', 'Tools/webcam-watcher/cam_form.py')
archive.write('../Tools/webcam-watcher/webcam-watcher.py', 'Tools/webcam-watcher/webcam-watcher.py')
archive.write('../Tools/webcam-watcher/webcam-watcher.ini', 'Tools/webcam-watcher/webcam-watcher.ini')
archive.write('../Tools/webcam-watcher/cam.png', 'Tools/webcam-watcher/cam.png')
archive.write('../Tools/webcam-watcher/retrieving.png', 'Tools/webcam-watcher/retrieving.png')
archive.write('../Tools/webcam-watcher/error.png', 'Tools/webcam-watcher/error.png')
archive.write('../Tools/webcam-watcher/makedist.py', 'Tools/webcam-watcher/makedist.py')
archive.write('../Tools/webcam-watcher/makedist.bat', 'Tools/webcam-watcher/makedist.bat')

archive.close()
